MolSupplier.h File Reference
`#include <RDGeneral/export.h>`
`#include <RDGeneral/types.h>`
`#include <string>`
`#include <list>`
`#include <memory>`
`#include <vector>`
`#include <iostream>`
`#include <GraphMol/ROMol.h>`

Go to the source code of this file.

## Classes

class | RDKit::MolSupplier
class | RDKit::ForwardSDMolSupplier
class | RDKit::SDMolSupplier
class | RDKit::SmilesMolSupplier
| lazy file parser for Smiles tables More...
class | RDKit::TDTMolSupplier
| lazy file parser for TDT files More...
class | RDKit::PDBMolSupplier
| lazy file parser for PDB files More...

## Namespaces

| RDKit
| Std stuff.

## Functions

RDKIT_FILEPARSERS_EXPORT std::string | RDKit::strip (const std::string &orig)